import { EventEmitter } from '../../stencil-public-runtime';
export declare class SnkCustomSlotElements {
  /**
   * Nome do slot onde os elementos customizados deverão aparecer.
   */
  slotName: string;
  /**
   * Emitido quando elemento é carregado na tela.
   */
  snkCustomSlotElementsLoaded: EventEmitter<string>;
  componentDidLoad(): void;
  render(): any;
}
